Package ghidra.program.model.util

# Class CompositeDataTypeElementInfo

java.lang.Object
ghidra.program.model.util.DataTypeInfo
ghidra.program.model.util.CompositeDataTypeElementInfo

public class CompositeDataTypeElementInfo extends DataTypeInfo

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.util.DataTypeInfo

  `dataTypeAlignment, dataTypeHandle, dataTypeLength`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeDataTypeElementInfo(DataTypeInfo dataTypeInfo, int dataTypeOffset)`
  Constructor for CompositeDataTypeElementInfo (copy-ish).
  `CompositeDataTypeElementInfo(Object dataTypeHandle, int dataTypeOffset, int dataTypeLength, int dataTypeAlignment)`
  Constructor for CompositeDataTypeElementInfo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `getDataTypeOffset()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.program.model.util.DataTypeInfo

  `getDataTypeAlignment, getDataTypeHandle, getDataTypeLength`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CompositeDataTypeElementInfo

    public CompositeDataTypeElementInfo(Object dataTypeHandle, int dataTypeOffset, int dataTypeLength, int dataTypeAlignment)
    Constructor for CompositeDataTypeElementInfo.
    Parameters:
      `dataTypeHandle` - any Object providing identity for this data type
      `dataTypeOffset` - the offset of the element within the outer composite data type
      `dataTypeLength` - the length of the data type
      `dataTypeAlignment` - the alignment of the data type

  - ### CompositeDataTypeElementInfo

    public CompositeDataTypeElementInfo(DataTypeInfo dataTypeInfo, int dataTypeOffset)
    Constructor for CompositeDataTypeElementInfo (copy-ish).
    Parameters:
      `dataTypeInfo` - the dataType this CompositeDataTypeElementInfo is based upon
      `dataTypeOffset` - the offset of the element within the outer composite data type

- ## Method Details

  - ### getDataTypeOffset

    public int getDataTypeOffset()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DataTypeInfo`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `DataTypeInfo`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`